$darkmode

| Qore CsvUtil Module Reference 1.10

Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
CsvUtil::CsvReadDataProviderFactory Class Reference

The read-only CSV data provider factory. More...

`#include <CsvReadDataProviderFactory.qc.dox.h>`

Inherits AbstractDataProviderFactory.

## Protected Member Functions
Class | getClassImpl ()
| Returns the class for the data provider object.
list< hash< auto > > | getExampleProviderRecordOutputImpl (InputStream example, *hash< auto > constructor_options)
| Returns information about a data provider constructor given the example data as an argument. More...
hash< DataProviderFactoryInfo > | getInfoImpl ()
| Returns static factory information without provider_info. More...
AbstractDataProvider | getProviderFromExampleImpl (InputStream example, *hash< auto > constructor_options)
| Returns a data provider given the example data and constructor options as arguments. More...
hash< DataProviderInfo > | getProviderInfoImpl ()
| Returns static provider information. More...

## Protected Attributes
const | FactoryInfo
| Factory info.

## Static Protected Attributes
static Class | cls = new Class("CsvReadDataProvider")
| Data provider type info.

## Detailed Description

The read-only CSV data provider factory.

## Member Function Documentation

## ◆ getExampleProviderRecordOutputImpl()

list< hash< auto > > CsvUtil::CsvReadDataProviderFactory::getExampleProviderRecordOutputImpl | ( | InputStream | example,
|  | *hash< auto > | constructor_options
| ) |  |
| protected

Returns information about a data provider constructor given the example data as an argument.

Parameters

  example | example data to process
  constructor_options | constructor options for the data provider

Returns
  example record data parsed from the given options

Exceptions

  DATA-PROVIDER-ERROR | invalid construtor options, API not supported

## ◆ getInfoImpl()

hash< DataProviderFactoryInfo > CsvUtil::CsvReadDataProviderFactory::getInfoImpl | ( |  | ) |
| protected

Returns static factory information without provider_info.

Returns
  static factory information without provider_info which is provided by getProviderInfo()

## ◆ getProviderFromExampleImpl()

AbstractDataProvider CsvUtil::CsvReadDataProviderFactory::getProviderFromExampleImpl | ( | InputStream | example,
|  | *hash< auto > | constructor_options
| ) |  |
| protected

Returns a data provider given the example data and constructor options as arguments.

Parameters

  example | example data to process
  constructor_options | constructor options for the data provider

Returns
  a data provider created from the given options

Exceptions

  DATA-PROVIDER-ERROR | invalid construtor options, API not supported

Note
  - If constructor options provide actual input data, then this overrides the example data, in this way this API can be used for the example and also with real data
  - This base class method throws a `DATA-PROVIDER-ERROR` exception by default; override in subclasses to implement this method properly

Since
  DataProvider 2.1

## ◆ getProviderInfoImpl()

hash< DataProviderInfo > CsvUtil::CsvReadDataProviderFactory::getProviderInfoImpl | ( |  | ) |
| protected

Returns static provider information.

Note
  the `name` and `children` attributes are not returned as they are dynamic attributes